#include<iostream>
#include<algorithm>
using namespace std;
int main(){
	int a[10000],i,j,maxpoz,maxbroj,poz,c,n,flegiliks;
	int b[10000];
	cin>>n;
	maxbroj=-100000;
	for (i=0;i<n;i++){
		cin>>a[i];
	}
	
	for(i=0;i<n;i++){
		for(j=i+1;j<n;j++){
			if(a[j]>a[i] && a[j]>maxbroj){
				maxbroj=a[j];
				maxpoz=j;
				poz=i;
				flegiliks=1;
			}
		}
	}
	if(flegiliks==1){
	
	c=a[poz];
	a[poz]=a[maxpoz];
	a[maxpoz]=c;
	
	}else{
		c=a[n-1];
		a[n-1]=a[n-2];
		a[n-2]=c;
	}
	
	
	
	for(i=0;i<n;i++){
		cout<<a[i];
		cout<<' ';
	}
	
	
	
	
	
	

	
	
}